/*
 * @Author: zc
 * @description 司法行政执法监督
 */
import request from "@/utils/request";

/**
 * @description 左上工单数据
 */
export const leftTopData = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-module-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 中上地图数据
 */
export const centerTopData = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-area-query`,
    method: "get",
    params,
  });
};
/**
 * @description 中下数据
 */
export const centerBottomData = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-overview`,
    method: "get",
    params,
  });
};
/**
 * @description 部门满意度统计（左下数据）
 */
export const orgSatis = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-visitorg-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 工单执法分类月份趋势（右上数据）
 */
export const monthlyTrend = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-monthly-trend`,
    method: "get",
    params,
  });
};
/**
 * @description 问题类型统计（右中数据）
 */
export const problemType = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-eventType-statistics`,
    method: "get",
    params,
  });
};
/**
 * @description 执法领域统计（右下数据）
 */
export const lawArea = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-industry-statistics`,
    method: "get",
    params,
  });
};

/**
 * @description 右下数据
 */
export const rightBottomData = (params?: object) => {
  return request({
    url: `/api/v1/JudicialManagementScreen/order-proportion-statistics`,
    method: "get",
    params,
  });
};
